Subject: Spelling
Author: Nicholas Bamber <nicholas@periapt.co.uk>
Reviewed-by: gregor herrmann <gregoa@debian.org>
Last-Update: 2012-01-28

--- a/lib/File.pm
+++ b/lib/File.pm
@@ -684,8 +684,8 @@
 
 =item file_writeable_ok( FILENAME [, NAME ] )
 
-Ok if the file exists and is writeable, not ok
-if the file does not exist or is not writeable.
+Ok if the file exists and is writable, not ok
+if the file does not exist or is not writable.
 
 =cut
 
@@ -709,8 +709,8 @@
 
 =item file_not_writeable_ok( FILENAME [, NAME ] )
 
-Ok if the file exists and is not writeable, not ok
-if the file does not exist or is writeable.
+Ok if the file exists and is not writable, not ok
+if the file does not exist or is writable.
 
 =cut
 
--- a/t/file_contains.t
+++ b/t/file_contains.t
@@ -34,7 +34,7 @@
 test_test();
 
 SKIP: {
-skip "Superuser has special priveleges", 1, if( $> == 0 or $< == 0 );
+skip "Superuser has special privileges", 1, if( $> == 0 or $< == 0 );
 test_out( "not ok 1 - not_readable contains $pattern1" );
 test_diag( 'File [not_readable] is not readable!' );
 test_fail(+1);
@@ -62,7 +62,7 @@
 test_test();
 
 SKIP: {
-skip "Superuser has special priveleges", 1, if( $> == 0 or $< == 0 );
+skip "Superuser has special privileges", 1, if( $> == 0 or $< == 0 );
 test_out( "not ok 1 - not_readable doesn't contain $bad_pattern" );
 test_diag( 'File [not_readable] is not readable!' );
 test_fail(+1);
@@ -96,7 +96,7 @@
 test_test();
 
 SKIP: {
-skip "Superuser has special priveleges", 1, if( $> == 0 or $< == 0 );
+skip "Superuser has special privileges", 1, if( $> == 0 or $< == 0 );
 test_out( "not ok 1 - not_readable contains $pattern1" );
 test_diag( 'File [not_readable] is not readable!' );
 test_fail(+1);
@@ -131,7 +131,7 @@
 test_test();
 
 SKIP: {
-skip "Superuser has special priveleges", 1, if( $> == 0 or $< == 0 );
+skip "Superuser has special privileges", 1, if( $> == 0 or $< == 0 );
 test_out( "not ok 1 - not_readable doesn't contain $bad_pattern" );
 test_diag( 'File [not_readable] is not readable!' );
 test_fail(+1);
--- a/t/test_files.t
+++ b/t/test_files.t
@@ -35,7 +35,7 @@
 test_test();
 
 SKIP: {
-skip "Superuser has special priveleges", 1, if( $> == 0 or $< == 0 );
+skip "Superuser has special privileges", 1, if( $> == 0 or $< == 0 );
 test_out( 'ok 1 - writeable is not readable' );
 file_not_readable_ok( 'writeable' );
 test_test();
@@ -46,7 +46,7 @@
 test_test();
 
 SKIP: {
-skip "Superuser has special priveleges", 1, if( $> == 0 or $< == 0 );
+skip "Superuser has special privileges", 1, if( $> == 0 or $< == 0 );
 test_out( 'ok 1 - readable is not writeable' );
 file_not_writeable_ok( 'readable' );
 test_test();
